List

API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

GET
/audit-events

List audit events of the team. Only team admins and owners can view audit events. Actor e-mail, token, metadata, changes, IP address, and user agent are returned only for tokens with the read:sensitive or root permission.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Query Parameters

per_page?integer

Items per page.

Default25
Range1 <= value <= 100
page?integer

Page number.

Default1
Range1 <= value
search?string

Search text.

Lengthlength <= 255
action?string

Filter by action. Use all for every action.

Lengthlength <= 255
source?string

Filter by source.

Value in"all" | "ui" | "api" | "mcp" | "webhook" | "system" | "scheduler"

Response Body

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/audit-events"
{  "current_page": 0,  "data": [    {      "id": 0,      "team_id": 0,      "event": "string",      "source": "string",      "action": "string",      "level": "string",      "actor_type": "string",      "actor_id": 0,      "actor_name": "string",      "resource_type": "string",      "resource_uuid": "string",      "resource_name": "string",      "description": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "per_page": 0,  "last_page": 0,  "total": 0}
{  "message": "Unauthenticated."}
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}